/* Program for communication with Processing: 
   sends measured  A0 and A1 and setd D3 + D11 pwm outputs */

void setup() 
{
  TCCR2B = (TCCR2B & B11111000) | B001;  // setup Timer2 for higher frequency than usually

  pinMode(A0,INPUT);
  pinMode(A1,INPUT);
      
  pinMode(5,OUTPUT);
  pinMode(6,OUTPUT);
  
  Serial.begin(9600);                   // setup serial communication interface speed
  while (!Serial) 
  { 
    ; // wait for serial port to connect. Needed for native USB port only
  }

}



 long int adcVal0 = 0;     // ADC 0 value
 long int adcVal1 = 0;     // ADC 1 value
 int incomingByte = 0;     // value received from Processing, used for output

 
void loop() {

 adcVal0 = 0;              // clear ADC values
 adcVal1 = 0;
 for (int i=1;i<=64;i++)   // measure 64x and calculate mean value   
  { 
    adcVal0 += analogRead(0);
    adcVal1 += analogRead(1);
  }
  adcVal0 = adcVal0>>6;   // Shift right 6 bits is equivalent to division by 64
  adcVal1 = adcVal1>>6;   

  
Serial.print(adcVal0);    // Send the comma separated values to the PC
Serial.print(",");
Serial.println(adcVal1);

delay(300);  
 
}


void serialEvent()      // called on incoming data received
{
  while (Serial.available()) 
  {
    incomingByte = Serial.read();
    analogWrite(5,incomingByte);  // set PWM output on pin 5
    analogWrite(6,incomingByte);  // set PWM output on pin 6
     
  }
}
